WordPress.org

Ready to get started?Download WordPress

Forums

WordPress HTTPS (SSL)
[resolved] Getting 404 Errors with version 3.1 & 3.1.1 (8 posts)

  1. ChrisCree
    Member
    Posted 1 year ago #

    I am using WordPress HTTPS on a Multisite install but just on the main site and only to secure a handful of order form pages.

    In both versions 3.1 and 3.1.1 of the plugin I'm getting 404 errors when viewing those order form page URLs in https:// The URLs for those pages resolve correctly when I deselect the "Secure Post" checkbox.

    When I rolled back to version 3.0.4 of the plugin the secure URLs resolve correctly with no problem.

    http://wordpress.org/extend/plugins/wordpress-https/

  2. Mvied
    Member
    Plugin Author

    Posted 1 year ago #

    What is the URL in the address bar when the page works? What is it when it doesn't work?

  3. johndove523
    Member
    Posted 1 year ago #

    Same problem here (I think). I am running WordPress v3.4 (not 3.4.1) and when I upgraded HTTPS to v3.1.2., I got 404s on all my form pages. Had to revert to HTTPS v.3.0.4 to correct.

  4. ChrisCree
    Member
    Posted 1 year ago #

    Heya Mvied!

    With versions 3.1, 3.1.1 and 3.1.2 the secure URLs produce 404 pages. For example: https://wpannex.com/payments/base-website-thumbs/ gives a 404 with those versions.

    If I turn off the "Secure Post" option then the URL resolves correctly and shows my payment form (of course the payment form won't work because it automatically disables itself if the connection isn't secure.) For example: http://wpannex.com/payments/base-website-thumbs/ (same url with http instead of https) doesn't give a 404 error.

    However when I roll back to the 3.0.4 version of the plugin https://wpannex.com/payments/base-website-thumbs/ works just fine.

    As we talked about in another thread, this seems to have something to do with the page being a child page. As a test I made it a top level page and https://wpannex.com/base-website-thumbs/ worked with version 3.1.2 of the plugin.

    Unfortunately in my situation I need the page to be a child page so I reverted back to version 3.0.4 of the plugin which is working for me at this point.

    Hopefully that helps you trouble shoot some. I really do appreciate all the work you have done on this plugin.

  5. Mvied
    Member
    Plugin Author

    Posted 1 year ago #

    Any chance could test my development version and let me know if the issue persists?

  6. whaus
    Member
    Posted 1 year ago #

    after updating 3.0.4 to 3.1.2 (on WP 3.3.2), I had 404 errors for the search, as well as for categories & tags. direct post access, incl. qtranslate, worked.

    the dev-version you provided here solved the problem for me. thanks!

  7. ChrisCree
    Member
    Posted 1 year ago #

    I think your dev version fixes this problem, Mvied. Just installed it and it is resolving my secure child pages correctly. :)

  8. karlajw
    Member
    Posted 1 year ago #

    Any idea when this fix will be available in a plugin update?

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic